Documentation>C API
Data Fields
VlPgmImage Struct Reference

PGM image meta data. More...

`#include <pgm.h>`

## Data Fields

vl_size | width
vl_size | height
vl_size | max_value
vl_bool | is_raw

## Detailed Description

A PGM image is a 2-D array of pixels of width width and height height. Each pixel is an integer one or two bytes wide, depending whether max_value is smaller than 256.

## Field Documentation

## ◆ height

vl_size VlPgmImage::height

image height.

## ◆ is_raw

vl_bool VlPgmImage::is_raw

is RAW format?

## ◆ max_value

vl_size VlPgmImage::max_value

pixel maximum value (<= 2^16-1).

## ◆ width

vl_size VlPgmImage::width

image width.

The documentation for this struct was generated from the following file:

- pgm.h